Index: /trunk/src/VBox/Installer/linux/vboxweb-service.sh.in
===================================================================
--- /trunk/src/VBox/Installer/linux/vboxweb-service.sh.in	(revision 41365)
+++ /trunk/src/VBox/Installer/linux/vboxweb-service.sh.in	(revision 41366)
@@ -314,5 +314,5 @@
             vboxmanage setproperty websrvauthlibrary $VBOXWEB_AUTH_LIBRARY
             if [ $? -ne 0 ]; then
-                fail_msg "Error setting webservice authentication library to $VBOXWEB_AUTH_LIBRARY"
+                fail_msg "Error $? setting webservice authentication library to $VBOXWEB_AUTH_LIBRARY"
             fi
         fi
@@ -320,5 +320,5 @@
             vboxmanage setextradata global VBoxAuthSimple/users/$VBOXWEB_USER $VBOXWEB_AUTH_PWHASH
             if [ $? -ne 0 ]; then
-                fail_msg "Error setting webservice password hash"
+                fail_msg "Error $? setting webservice password hash"
             fi
         fi
